#include <iostream>
#include <string>

using namespace std;

int main() {
	char prvi, drugi;
	string rec;
	long long broj_prvog, broj_drugog;
	bool provera = false;

	cin >> prvi >> drugi;
	cin >> broj_prvog >> broj_drugog;

	if (broj_prvog == broj_drugog || broj_prvog == broj_drugog + 1 || broj_prvog + 1 == broj_drugog) {
		for (long long i = 0; i < broj_prvog + broj_drugog; i++) {
			if (provera == false) {
				rec += prvi;

				provera = true;
			}
			else {
				rec += drugi;
				provera = false;
			}
		}
		
		cout << rec << endl;
	}
	else {
		cout << "nemoguce" << endl;
	}
}